HepMC3 event record library: StandardSelector Class Reference

HepMC3 event record library

Public Member Functions | Static Public Member Functions | Static Public Attributes
StandardSelector Class Referenceabstract

## Detailed Description

StandardSelector.

Definition at line 174 of file Selector.h.

`#include <Selector.h>`

Inheritance diagram for StandardSelector:
[legend]
Collaboration diagram for StandardSelector:
[legend]

## Public Member Functions
virtual Filter | operator> (int value) const =0
| Operator >.
virtual Filter | operator> (double value) const =0
| Operator >.
virtual Filter | operator>= (int value) const =0
| Operator >=.
virtual Filter | operator>= (double value) const =0
| Operator >=.
virtual Filter | operator< (int value) const =0
| Operator <.
virtual Filter | operator< (double value) const =0
| Operator <.
virtual Filter | operator<= (int value) const =0
| Operator <=.
virtual Filter | operator<= (double value) const =0
| Operator <=.
virtual Filter | operator== (int value) const =0
| Equality.
virtual Filter | operator== (double value) const =0
| Equality.
virtual Filter | operator!= (int value) const =0
| NonEquality.
virtual Filter | operator!= (double value) const =0
| NonEquality.
virtual ConstSelectorPtr | abs () const =0
| abs function

## Static Public Member Functions
static AttributeFeature | ATTRIBUTE (const std::string &name)
| ATTRIBUTE function.

## Static Public Attributes
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< int > | STATUS = SelectorWrapper<int>([](ConstGenParticlePtr p)->int{return p->status();})
| Status.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< int > | PDG_ID = SelectorWrapper<int>([](ConstGenParticlePtr p)->int{return p->pdg_id();})
| PDG ID.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< double > | PT = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().pt();})
| Transverse momentum.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< double > | ENERGY = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().e();})
| Energy.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< double > | RAPIDITY = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().rap();})
| Rapidity.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< double > | ETA = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().eta();})
| Pseudorapidity.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< double > | PHI = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().phi();})
| Azimuthal angle.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< double > | ET = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().e() * (p->momentum().pt() / p->momentum().p3mod());})
| Transverse energy.
static HEPMC3search_StandardSelector_EXPORT_API const SelectorWrapper< double > | MASS = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().m();})
| Mass.

## Member Function Documentation

## ◆ abs()

virtual ConstSelectorPtr abs | ( |  | ) | const
| pure virtualinherited

abs function

Implemented in SelectorWrapper< Feature_type >, SelectorWrapper< double >, and SelectorWrapper< int >.

## ◆ ATTRIBUTE()

AttributeFeature ATTRIBUTE | ( | const std::string & | name | ) |
| staticinherited

ATTRIBUTE function.

Definition at line 28 of file Selector.cc.

## ◆ operator!=() [1/2]

virtual Filter operator!= | ( | double | value | ) | const
| pure virtualinherited

NonEquality.

Implemented in SelectorWrapper< Feature_type >.

## ◆ operator!=() [2/2]

virtual Filter operator!= | ( | int | value | ) | const
| pure virtualinherited

NonEquality.

Implemented in SelectorWrapper< Feature_type >, SelectorWrapper< double >, and SelectorWrapper< int >.

## ◆ operator<() [1/2]

virtual Filter operator< | ( | double | value | ) | const
| pure virtualinherited

Operator <.

Implemented in SelectorWrapper< Feature_type >.

## ◆ operator<() [2/2]

virtual Filter operator< | ( | int | value | ) | const
| pure virtualinherited

Operator <.

Implemented in SelectorWrapper< Feature_type >, SelectorWrapper< double >, and SelectorWrapper< int >.

## ◆ operator<=() [1/2]

virtual Filter operator<= | ( | double | value | ) | const
| pure virtualinherited

Operator <=.

Implemented in SelectorWrapper< Feature_type >.

## ◆ operator<=() [2/2]

virtual Filter operator<= | ( | int | value | ) | const
| pure virtualinherited

Operator <=.

Implemented in SelectorWrapper< Feature_type >, SelectorWrapper< double >, and SelectorWrapper< int >.

## ◆ operator==() [1/2]

virtual Filter operator== | ( | double | value | ) | const
| pure virtualinherited

Equality.

Implemented in SelectorWrapper< Feature_type >.

## ◆ operator==() [2/2]

virtual Filter operator== | ( | int | value | ) | const
| pure virtualinherited

Equality.

Implemented in SelectorWrapper< Feature_type >, SelectorWrapper< double >, and SelectorWrapper< int >.

## ◆ operator>() [1/2]

virtual Filter operator> | ( | double | value | ) | const
| pure virtualinherited

Operator >.

Implemented in SelectorWrapper< Feature_type >.

## ◆ operator>() [2/2]

virtual Filter operator> | ( | int | value | ) | const
| pure virtualinherited

Operator >.

Implemented in SelectorWrapper< Feature_type >, SelectorWrapper< double >, and SelectorWrapper< int >.

## ◆ operator>=() [1/2]

virtual Filter operator>= | ( | double | value | ) | const
| pure virtualinherited

Operator >=.

Implemented in SelectorWrapper< Feature_type >.

## ◆ operator>=() [2/2]

virtual Filter operator>= | ( | int | value | ) | const
| pure virtualinherited

Operator >=.

Implemented in SelectorWrapper< Feature_type >, SelectorWrapper< double >, and SelectorWrapper< int >.

## Field Documentation

## ◆ ENERGY

const SelectorWrapper< double > ENERGY = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().e();})
| static

Energy.

Definition at line 179 of file Selector.h.

## ◆ ET

const SelectorWrapper< double > ET = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().e() * (p->momentum().pt() / p->momentum().p3mod());})
| static

Transverse energy.

Definition at line 183 of file Selector.h.

## ◆ ETA

const SelectorWrapper< double > ETA = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().eta();})
| static

Pseudorapidity.

Definition at line 181 of file Selector.h.

## ◆ MASS

const SelectorWrapper< double > MASS = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().m();})
| static

Mass.

Definition at line 184 of file Selector.h.

## ◆ PDG_ID

const SelectorWrapper< int > PDG_ID = SelectorWrapper<int>([](ConstGenParticlePtr p)->int{return p->pdg_id();})
| static

PDG ID.

Definition at line 177 of file Selector.h.

## ◆ PHI

const SelectorWrapper< double > PHI = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().phi();})
| static

Azimuthal angle.

Definition at line 182 of file Selector.h.

## ◆ PT

const SelectorWrapper< double > PT = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().pt();})
| static

Transverse momentum.

Definition at line 178 of file Selector.h.

## ◆ RAPIDITY

const SelectorWrapper< double > RAPIDITY = SelectorWrapper<double>([](ConstGenParticlePtr p)->double{return p->momentum().rap();})
| static

Rapidity.

Definition at line 180 of file Selector.h.

## ◆ STATUS

const SelectorWrapper< int > STATUS = SelectorWrapper<int>([](ConstGenParticlePtr p)->int{return p->status();})
| static

Status.

Definition at line 176 of file Selector.h.

The documentation for this class was generated from the following files:

- Selector.h
- Selector.cc